:root {
    --background-color: #000000;
    --text-color: #ffffff;
    --neon-color: #888888;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: var(--text-color);
    font-family: 'Montserrat-Regular', sans-serif;
}

@font-face {
    font-family: Montserrat-Regular;
    src: url(..//font/Montserrat-Regular.ttf);
}

@font-face {
    font-family: Montserrat-ExtraBold;
    src: url(../font/Montserrat-ExtraBold.ttf);
}

.under-construction {
    position: absolute; 
    height: 100%; 
    width: 100%; 
    background-color: black;
    top: 0; 
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 4em;
    font-size: clamp(2.5rem, 9.5vw, 7rem);
    padding: 20px;
    text-align: center;
}

.loading-overlay {
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: black;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 1;
    transition: opacity 1s;
    -webkit-transition: opacity 1s;
    -moz-transition: opacity 1s;
    -ms-transition: opacity 1s;
    -o-transition: opacity 1s;
}

.loading-overlay.hide {
    opacity: 0;
}

.loading-overlay svg {
    width: 250px;
    position: absolute;
    animation: blinkHeroLogo 3s ease 0s infinite normal forwards;
    -webkit-animation: blinkHeroLogo 3s ease 0s infinite normal forwards;
    transition: width 1s;
    -webkit-transition: width 1s;
    -moz-transition: width 1s;
    -ms-transition: width 1s;
    -o-transition: width 1s;
}

.loading-overlay.hide svg {
    width: 700%;
}

body {
    background-color: var(--background-color);
    overflow: hidden;
    padding: 0 20px;
}

.wrapper {
    max-width: 1200px;
    width: 1200px;
}

.row {
    width: 100%;
    display: flex;
}

.col {
    width: 100%;
}

.hero {
    height: 100vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero-titles {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
}

.hero-title-sm {
    font-size: 3.5em;
    text-transform: uppercase;
    font-weight: 600;
}

.hero-title-l {
    font-size: 8em;
    text-transform: uppercase;
    font-weight: 800;
    font-family: 'Montserrat-ExtraBold', sans-serif;
}

.hero-cta-btn {
    position: absolute;
    width: 270px;
    height: 60px;
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
    background-color: #000000;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    cursor: pointer;
    border: 1px solid #3b3b3b;
    bottom: 0;
}

.hero-cta-btn:before {
    content: '';
    position: absolute;
    width: 150%;
    height: 150%;
    background: conic-gradient(from 90deg, rgb(0 0 0 / 0%) 70%, rgb(11 78 230 / 9%) 80%, rgb(255, 255, 255) 100%);
    animation: rotate-hero-button 10s infinite linear;
    -webkit-animation: rotate-hero-button 10s infinite linear;
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
}

.hero-cta-btn:hover:after {
    animation: neon 1.5s ease-in-out infinite alternate;
    -webkit-animation: neon 1.5s ease-in-out infinite alternate;
}

@keyframes neon {
    from {
        text-shadow: 0 0 10px #ffffff, 0 0 20px #ffffff, 0 0 30px #ffffff, 0 0 40px var(--neon-color),
            0 0 70px var(--neon-color), 0 0 80px var(--neon-color), 0 0 100px var(--neon-color), 0 0 150px var(--neon-color);
    }
    to {
        text-shadow: 0 0 5px #ffffff, 0 0 10px #ffffff, 0 0 15px #ffffff, 0 0 20px var(--neon-color),
            0 0 35px var(--neon-color), 0 0 40px var(--neon-color), 0 0 50px var(--neon-color), 0 0 75px var(--neon-color);
    }
}

.hero-cta-btn:after {
    content: 'Be Inspired';
    position: absolute;
    width: 99%;
    height: 94%;
    background-color: #000000;
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: box-shadow 2s;
    -webkit-transition: box-shadow 2s;
    -moz-transition: box-shadow 2s;
    -ms-transition: box-shadow 2s;
    -o-transition: box-shadow 2s;
    font-family: 'Montserrat-Regular', 'sans-serif';
    font-weight: 600;
    text-transform: uppercase;
    color: #ffffff;
}

@keyframes rotate-hero-button {
    100% {
        transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
}
}

.hero-logo {
    width: 100%;
    position: relative;
    left: -80px;
    animation: blinkHeroLogo 5s ease 0s infinite normal forwards;
    -webkit-animation: blinkHeroLogo 5s ease 0s infinite normal forwards;
}

@keyframes blinkHeroLogo {
	0% {
		opacity: 1;
	}

	50% {
		opacity: 0.2;
	}

	100% {
		opacity: 1;
	}
}

.sallyta-logo {
    width: 150px;
    cursor: pointer;
}

.suasio-logo {
    width: 150px;
    cursor: pointer;
}

.footer {
    position: absolute;
    bottom: 50px;
    display: flex;
    justify-content: center;
    left: 0;
    gap: 100px;
}

.img-lightbox {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    background-color: rgba(63, 63, 63, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    bottom: -100%;
    transition: opacity .8s, bottom .5s;
    -webkit-transition: opacity .8s, bottom .5s;
    -moz-transition: opacity .8s, bottom .5s;
    -ms-transition: opacity .8s, bottom .5s;
    -o-transition: opacity .8s, bottom .5s;
    opacity: 0;
    padding: 50px 20px;
}

.img-lightbox.show {
    opacity: 1;
    bottom: 0;
}

.img-lightbox img {
    width: 100%;
    object-fit: contain;
    height: 100%;
}

.close-lightbox {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

@media screen and (max-width: 1225px) {
    .hero-title-sm {
        font-size: 2vw;
        font-size: clamp(2rem, 3.5vw, 6rem);
    }
    
    .hero-title-l {
        font-size: 4vw;
        font-size: clamp(3.5rem, 10.5vw, 8rem);
    }

    .hero-cta-btn {
        position: relative;
        margin-top: 30px;
    }
}

@media screen and (max-width: 1020px) {
    .hero .titles-row {
        flex-direction: column-reverse;
    }

    .hero-logo {
        width: 50%;
        left: unset;
        margin-bottom: 30px;
    }
}

@media screen and (max-width: 600px) {
    .hero-cta-btn {
        width: 100%;
    }

    .hero {
        align-items: start;
        margin-top: 100px;
    }
}

@media screen and (max-width: 450px) {
    .footer {
        flex-direction: column;
        align-items: center;
        gap: 40px;
    }
}